Subject: RE: bug#42993: 26.3; [PATCH] Let Info bookmarks go to current, not recorded, version of manual

From: Drew Adams <[email-masked]>
Date: Sun, 23 Aug 2020 09:32:09 -0700 (PDT)

> > An Info bookmark, like most bookmarks, records the target file as an
> > absolute file name.  When you jump to an Info bookmark it jumps to the
> > recorded node in that Info file.
> >
> > But what if you have Info bookmarks that were recorded for older Emacs
> > versions?  They typically have different absolute file names.  When you
> > jump to such a bookmark it will go to the manual for that older Emacs
> > version, if you still have it installed (and the Info files are at the
> > same locations as recorded by the bookmark).
> 
> The "official" way of installing Emacs will put the Info files into a
> single directory, so installing a newer version will overwrite the
> Info files with those of the newer version, leaving the absolute file
> name of the manual unchanged.
> 
> So it sounds like you are suggesting a solution for a problem that
> happens only for users who for some reason install each Emacs version
> in a different place.  How many such users are there?

You make a good point.

I don't know how many such users there are.
I do think Emacs should support such use cases.

I see no reason that it shouldn't.  As I said, I
consider it a feature to be able to have Info
bookmarks to manuals for different Emacs versions.

Another consideration is using the same bookmarks
across different systems (e.g. MS Windows and
GNU/Linux), where the absolute locations, even
for "official installations" are likely to differ.

Requiring an Info bookmark to work only with its
absolute file name is, I think, unnecessarily
restrictive, even if it can also be useful (see
above: it's a feature).

But the point you make is certainly another
argument supporting user control of the behavior
(e.g. an option).